# Get-RASURLRedirectionSettings.md

## NAME

Get-RASURLRedirectionSettings

## SYNOPSIS

Retrieves URL redirection settings.

## SYNTAX

\*\*Get-RASURLRedirectionSettings \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the active URL redirection settings of the current site.

## PARAMETERS

## SiteId (uint)

Site ID from which to retrieve the URL Redirection Settings.

To obtain the ID of a desired site, use the Get-Sites cmdlet.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[URLRedirectionSettings](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/urlredirectionsettings)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASURLRedirectionSettings

Retrieves the active URL redirection settings of the current site.

## RELATED LINKS

* [Set-RASURLRedirectionSettings](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasurlredirectionsettings)
* [Add-RASURLRedirectionEntry](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasurlredirectionentry)
* [Remove-RASURLRedirectionEntry](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasurlredirectionentry)
* [Set-RASURLRedirectionEntry](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasurlredirectionentry)
* [Get-RASURLRedirectionEntry](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasurlredirectionentry)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasurlredirectionsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
